#!/bin/bash

zpool create data raidz1 /dev/vd[b-e]
zpool export data
rm /etc/zfs/zpool.cache
rm -rf /etc/zfs/zfs-list.cache
mkdir -p /etc/zfs/zfs-list.cache
> /etc/zfs/zfs-list.cache/data
zpool import data

systemctl enable zfs-scrub-weekly@zroot.timer
systemctl enable zfs.target
systemctl enable zfs-import-cache
systemctl enable zfs-mount
systemctl enable zfs-zed

zfs set canmount=off data
zfs set canmount=on data

systemctl restart zfs-import-scan
systemctl restart zfs-import-cache
systemctl restart zfs-mount
systemctl restart zfs-zed
